:root {
    --primary: #333 !important;
    --primary-50: rgba(251, 32, 86, 0.5) !important;
    --secondary: rgba(0, 51, 153, 1) !important;
    --secondary-50: rgba(51, 119, 255, 0.5) !important;
    --white: white;
    --black: #333;
    --dark: #111;
    --font-1: #333;
    --font-2: #888;
    --font-3: #f2f2f2;
    --focus-1: rgba(0, 128, 0, 0.5);

    --success: #28a745;
    --alert: #17a2b8;
    --warning: #ffc107;
    --error: #dc3545;
    --link: #007bff;

    --font: 'Almarai';
    --font-size: 14.7px;
}

*,
::after,
::before {
    box-sizing: border-box
}

* {
    color: inherit !important;
    background-color: inherit !important;
    text-align: start;
    text-transform: capitalize !important;
}

*:not(i) {
    font-family: var(--font), sans-serif !important
}

*:not(h1, h2, h3, h4, h5, h6, .fa) {
    font-size: 1em !important;
}

*:focus {
    outline: none !important;
    box-shadow: 0 0 0 0 transparent !important;
}

input,
textarea,
select,
table * {
    text-transform: none !important;
}

html {
    font-size: var(--font-size) !important;
}

body {
    background-color: var(--white) !important;
}

.my-top-menu {
    font-size: .75rem !important;
    height: 30px;
}

.my-top-menu .my-top-menu-dropdown {
    text-align: center !important;
}

.my-nav * {
    text-transform: uppercase;
}

li.nav-item {
    margin: 0 7.5px !important;
}

a.nav-link {
    padding: 10px 10px !important;
    text-align: center !important;
}

a.nav-link:hover {
    opacity: 0.8;
}

a.nav-link.my-pill {
    color: var(--primary-bg) !important;
    background-color: var(--primary) !important;
    border-radius: 50px;
}


a.nav-link.my-pill:hover {
    color: var(--primary-bg) !important;
}

.btn:focus {
    box-shadow: none;
}

.nav-link.active {
    color: var(--primary) !important;
}

.my-nav .navbar-brand img {
    padding: 7.5px;
    height: 80px !important;
}

.clickable {
    cursor: pointer !important;
}

.hover-spin:hover {
    animation: hover-spin 2s ease-in-out infinite;
}

@keyframes hover-spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/*==============================*/
hr {
    display: block;
    width: 75px;
    height: 1.25px;
    text-align: center;
    margin: 0 auto;
}

section.section {
    display: block;
    margin: 0;
    padding-top: 20px;
    padding-bottom: 120px;
}

section.section div.section-title {
    padding: 0;
    padding-top: 25px;
    padding-bottom: 50px;
    display: block;
}

section.section div.section-title h1 {
    display: block;
    width: 100%;
    font-size: 2rem;
    text-align: center;
    padding: 0;
    margin: 0;
    font-weight: bolder;
    text-transform: uppercase;
}

section.section div.section-title p {
    display: block;
    width: 100%;
    font-size: 1rem;
    text-align: center;
    font-weight: lighter;
}

section.section div.section-content {
    display: block;
    width: 100%;
}

.carousel-section {
    background-color: var(--primary) !important;
    height: 550px;
    padding: 0 !important;
}

img.cover {
    object-fit: cover;
    object-position: center;
}

/*================================================*/
.kenburns-top {
    -webkit-animation: kenburns-top 10s ease-in-out reverse both;
    animation: kenburns-top 10s ease-in-out reverse both;
}

@-webkit-keyframes kenburns-top {
    0% {
        -webkit-transform: scale(1) translateY(0);
        transform: scale(1) translateY(0);
        -webkit-transform-origin: 50% 16%;
        transform-origin: 50% 16%;
    }

    100% {
        -webkit-transform: scale(1.25) translateY(-15px);
        transform: scale(1.25) translateY(-15px);
        -webkit-transform-origin: top;
        transform-origin: top;
    }
}

@keyframes kenburns-top {
    0% {
        -webkit-transform: scale(1) translateY(0);
        transform: scale(1) translateY(0);
        -webkit-transform-origin: 50% 16%;
        transform-origin: 50% 16%;
    }

    100% {
        -webkit-transform: scale(1.25) translateY(-15px);
        transform: scale(1.25) translateY(-15px);
        -webkit-transform-origin: top;
        transform-origin: top;
    }
}

/*=====================================< item card*/
.my-item-card {
    position: relative;
    display: block;
    overflow: hidden;
    height: 100%;
    border: 1px solid rgba(0, 0, 0, 0.125);
    border-radius: 5px;
    background-color: white !important;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.125);
    cursor: pointer;
}

.my-item-card .my-item-card-options {
    position: absolute;
    display: block;
    overflow: hidden;
    border: 1px solid rgba(0, 0, 0, 0.125);
    border-bottom-left-radius: 5px;
    background-color: rgba(0, 0, 0, 0.75) !important;
    color: white !important;
    right: 0;
    top: 0;
    height: auto;
    width: auto;
    margin-right: -100%;

    -webkit-transition: margin-right .5s;
    -moz-transition: margin-right .5s;
    -o-transition: margin-right .5s;
    transition: margin-right .5s;
}

.my-item-card:hover .my-item-card-options {
    margin-right: 0;
}

html[dir="rtl"] .my-item-card .my-item-card-options {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 5px;
    left: 0;
    right: auto;
    margin-left: -100%;

    -webkit-transition: margin-left .5s;
    -moz-transition: margin-left .5s;
    -o-transition: margin-left .5s;
    transition: margin-left .5s;
}

html[dir="rtl"] .my-item-card:hover .my-item-card-options {
    margin-left: 0;
}

.my-item-card .my-item-card-img {
    height: 60%;
    width: 100%;
    object-fit: contain;
    object-position: center;
}

.my-item-card .my-item-card-text {
    width: 100%;
    height: 40%;
}

.my-focus:focus {
    border: 2px solid var(--primary) !important;
}

/*================================================*/

/*================================================*/
.bg-none {
    background-color: transparent !important;
}


.modal-bg {
    background-color: rgba(0, 0, 0, 0.5) !important;
}

.primary-c {
    color: var(--primary) !important;
}

.primary-bg {
    background-color: var(--primary) !important;
}

.primary-bg-50 {
    background-color: var(--primary-50) !important;
}

.primary-bg-50 * {
    background-color: transparent !important;
}

.white-c {
    color: var(--white) !important;
}

.white-bg {
    background-color: var(--white) !important;
}

.black-c {
    color: var(--black) !important;
}

.black-bg {
    background-color: var(--black) !important;
}

.dark-c {
    color: var(--dark) !important;
}

.dark-bg {
    background-color: var(--dark) !important;
}

.font-1 {
    color: var(--font-1) !important;
}

.font-2 {
    color: var(--font-2) !important;
}

.font-3 {
    color: var(--font-3) !important;
}

.focus-1:focus {
    box-shadow: 0 0 0 2px var(--focus-1) !important;
    -webkit-transition: all .1s;
    -moz-transition: all .1s;
    -o-transition: all .1s;
    transition: all .1s;
}

.fs-xs {
    font-size: calc(var(--font-size) * .5) !important;
}

.fs-sm {
    font-size: calc(var(--font-size) * .75) !important;
}

.fs-md {
    font-size: var(--font-size) !important;
}

.fs-lg {
    font-size: calc(var(--font-size) * 2) !important;
}

.fs-xl {
    font-size: calc(var(--font-size) * 3) !important;
}

.success-c {
    color: var(--success) !important;
}

.success-bg {
    background-color: var(--success) !important;
}

.alert-c {
    color: var(--alert) !important;
}

.alert-bg {
    background-color: var(--alert) !important;
}

.warning-c {
    color: var(--warning) !important;
}

.warning-bg {
    background-color: var(--warning) !important;
}

.error-c {
    color: var(--error) !important;
}

.error-bg {
    background-color: var(--error) !important;
}

.transparent-bg {
    background-color: transparent !important;
}

.link-c {
    color: var(--link) !important;
}

.link-bg {
    background-color: var(--link) !important;
}

.hide {
    /* used in js */
    display: none !important;
}

/*======================================================================================*/
/*==========================================================================================================*/
/*========================================NEW===========================================*/
/*==========================================================================================================*/
/*==========================================================================================================*/
:root {
    --primary: rgba(15, 146, 240, 1);
    --primary-50: rgba(15, 146, 240, 0.5);
    --secondary: rgba(237, 28, 34, 1);
    --secondary-50: rgba(237, 28, 34, 0.5);

    --white: rgba(255, 255, 255, 1);
    --white-50: rgba(255, 255, 255, 0.5);
    --light: rgba(238, 238, 238, 1);
    --light-50: rgba(238, 238, 238, 0.5);
    --black: rgba(51, 51, 51, 1);
    --black-50: rgba(51, 51, 51, 0.5);
    --dark: rgba(85, 85, 85, 1);
    --dark-50: rgba(85, 85, 85, 0.5);
    --dark-75: rgba(85, 85, 85, 0.75);

    --success: rgba(40, 167, 69, 1);
    --success-50: rgba(40, 167, 69, 0.5);
    --alert: rgba(23, 162, 184, 1);
    --alert-50: rgba(23, 162, 184, 0.5);
    --warning: rgba(255, 193, 7, 1);
    --warning-50: rgba(255, 193, 7, 0.5);
    --error: rgba(220, 53, 69, 1);
    --error-50: rgba(220, 53, 69, 0.5);
    --link: rgba(0, 123, 255, 1);
    --link-50: rgba(0, 123, 255, 0.5);
    --link-75: rgba(0, 123, 255, 0.75);

    --font-family: sans-serif, 'Almarai', sans-serif;

    --font-size: 14px;
}

@media only screen and (max-width: 572px) {
    :root {
        --font-size: 12px;
    }
}


/*==========================================================================================================*/
* {
    text-align: start;
    text-transform: capitalize;
    box-sizing: border-box;
    background-color: transparent;
}

*:focus {
    outline: none !important;
    box-shadow: 0 0 0 0 transparent !important;
}

/*=====================================================*/
html {
    font-size: var(--font-size);
}

body {
    font-size: 1rem;
    font-family: var(--font-family);
    color: var(--secondary);
}

/*=====================================================*/

/*=====================================================*/
#loader {
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5) !important;
    z-index: 1500;
}

#loader * {
    background-color: transparent !important;
}

#loader.show {
    display: flex;
}

html.loader,
html.loader * {
    overflow: hidden !important;
}

#loader .spinner-container {
    margin: auto;
    display: inline;
}

#loader .spinner-container .spinner {
    animation: spin 2s linear infinite;
    border: 16px solid var(--white-50);
    border-top: 16px solid var(--primary);
    border-radius: 50%;
    width: 120px;
    height: 120px;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/*=====================================================*/
hr {
    display: block;
    width: 100%;
    height: 1.25px;
    text-align: center;
    margin: 0 auto;
}

img.cover {
    object-fit: cover;
    object-position: center;
}

img.contain {
    object-fit: contain;
    object-position: center;
}

/*========================================< transparent*/
.transparent-c {
    color: transparent !important;
}

.transparent-bg {
    background-color: transparent !important;
}

.transparent-brdr {
    border-color: transparent !important;
}

/*========================================< primary*/
.primary-c {
    color: var(--primary) !important;
}

.primary-50-c {
    color: var(--primary-50) !important;
}

.primary-bg {
    background-color: var(--primary) !important;
}

.primary-50-bg {
    background-color: var(--primary-50) !important;
}

.primary-brdr {
    border-color: var(--primary) !important;
}

.primary-50-brdr {
    border-color: var(--primary-50) !important;
}

/*========================================< secondary*/
.secondary-c {
    color: var(--secondary) !important;
}

.secondary-50-c {
    color: var(--secondary-50) !important;
}

.secondary-bg {
    background-color: var(--secondary) !important;
}

.secondary-50-bg {
    background-color: var(--secondary-50) !important;
}

.secondary-brdr {
    border-color: var(--secondary) !important;
}

.secondary-50-brdr {
    border-color: var(--secondary-50) !important;
}

/*========================================< white*/
.white-c {
    color: var(--white) !important;
}

.white-50-c {
    color: var(--white-50) !important;
}

.white-bg {
    background-color: var(--white) !important;
}

.white-50-bg {
    background-color: var(--white-50) !important;
}

.white-brdr {
    border-color: var(--white) !important;
}

.white-50-brdr {
    border-color: var(--white-50) !important;
}

/*========================================< light*/
.light-c {
    color: var(--light) !important;
}

.light-50-c {
    color: var(--light-50) !important;
}

.light-bg {
    background-color: var(--light) !important;
}

.light-50-bg {
    background-color: var(--light-50) !important;
}

.light-brdr {
    border-color: var(--light) !important;
}

.light-50-brdr {
    border-color: var(--light-50) !important;
}

/*========================================< black*/
.black-c {
    color: var(--black) !important;
}

.black-50-c {
    color: var(--black-50) !important;
}

.black-bg {
    background-color: var(--black) !important;
}

.black-50-bg {
    background-color: var(--black-50) !important;
}

.black-brdr {
    border-color: var(--black) !important;
}

.black-50-brdr {
    border-color: var(--black-50) !important;
}

/*========================================< dark*/
.dark-c {
    color: var(--dark) !important;
}

.dark-50-c {
    color: var(--dark-50) !important;
}

.dark-bg {
    background-color: var(--dark) !important;
}

.dark-50-bg {
    background-color: var(--dark-50) !important;
}

.dark-75-bg {
    background-color: var(--dark-75) !important;
}

.dark-brdr {
    border-color: var(--dark) !important;
}

.dark-50-brdr {
    border-color: var(--dark-50) !important;
}

/*========================================< success*/
.success-c {
    color: var(--success) !important;
}

.success-50-c {
    color: var(--success-50) !important;
}

.success-bg {
    background-color: var(--success) !important;
}

.success-50-bg {
    background-color: var(--success-50) !important;
}

.success-brdr {
    border-color: var(--success) !important;
}

.success-50-brdr {
    border-color: var(--success-50) !important;
}

/*========================================< alert*/
.alert-c {
    color: var(--alert) !important;
}

.alert-50-c {
    color: var(--alert-50) !important;
}

.alert-bg {
    background-color: var(--alert) !important;
}

.alert-50-bg {
    background-color: var(--alert-50) !important;
}

.alert-brdr {
    border-color: var(--alert) !important;
}

.alert-50-brdr {
    border-color: var(--alert-50) !important;
}

/*========================================< warning*/
.warning-c {
    color: var(--warning) !important;
}

.warning-50-c {
    color: var(--warning-50) !important;
}

.warning-bg {
    background-color: var(--warning) !important;
}

.warning-50-bg {
    background-color: var(--warning-50) !important;
}

.warning-brdr {
    border-color: var(--warning) !important;
}

.warning-50-brdr {
    border-color: var(--warning-50) !important;
}

/*========================================< error*/
.error-c {
    color: var(--error) !important;
}

.error-50-c {
    color: var(--error-50) !important;
}

.error-bg {
    background-color: var(--error) !important;
}

.error-50-bg {
    background-color: var(--error-50) !important;
}

.error-brdr {
    border-color: var(--error) !important;
}

.error-50-brdr {
    border-color: var(--error-50) !important;
}

/*========================================< link*/
.link-c {
    color: var(--link) !important;
}

.link-50-c {
    color: var(--link-50) !important;
}

.link-bg {
    background-color: var(--link) !important;
}

.link-50-bg {
    background-color: var(--link-50) !important;
}

.link-brdr {
    border-color: var(--link) !important;
}

.link-50-brdr {
    border-color: var(--link-50) !important;
}

/*=====================================================*/
/*active*/
/*========================================< transparent*/
.active.active-transparent-c {
    color: transparent !important;
}

.active.active-transparent-bg {
    background-color: transparent !important;
}

.active.active-transparent-brdr {
    border-color: transparent !important;
}

/*========================================< primary*/
.active.active-primary-c {
    color: var(--primary) !important;
}

.active.active-primary-50-c {
    color: var(--primary-50) !important;
}

.active.active-primary-bg {
    background-color: var(--primary) !important;
}

.active.active-primary-50-bg {
    background-color: var(--primary-50) !important;
}

.active.active-primary-brdr {
    border-color: var(--primary) !important;
}

.active.active-primary-50-brdr {
    border-color: var(--primary-50) !important;
}

/*========================================< secondary*/
.active.active-secondary-c {
    color: var(--secondary) !important;
}

.active.active-secondary-50-c {
    color: var(--secondary-50) !important;
}

.active.active-secondary-bg {
    background-color: var(--secondary) !important;
}

.active.active-secondary-50-bg {
    background-color: var(--secondary-50) !important;
}

.active.active-secondary-brdr {
    border-color: var(--secondary) !important;
}

.active.active-secondary-50-brdr {
    border-color: var(--secondary-50) !important;
}

/*========================================< white*/
.active.active-white-c {
    color: var(--white) !important;
}

.active.active-white-50-c {
    color: var(--white-50) !important;
}

.active.active-white-bg {
    background-color: var(--white) !important;
}

.active.active-white-50-bg {
    background-color: var(--white-50) !important;
}

.active.active-white-brdr {
    border-color: var(--white) !important;
}

.active.active-white-50-brdr {
    border-color: var(--white-50) !important;
}

/*========================================< light*/
.active.active-light-c {
    color: var(--light) !important;
}

.active.active-light-50-c {
    color: var(--light-50) !important;
}

.active.active-light-bg {
    background-color: var(--light) !important;
}

.active.active-light-50-bg {
    background-color: var(--light-50) !important;
}

.active.active-light-brdr {
    border-color: var(--light) !important;
}

.active.active-light-50-brdr {
    border-color: var(--light-50) !important;
}

/*========================================< black*/
.active.active-black-c {
    color: var(--black) !important;
}

.active.active-black-50-c {
    color: var(--black-50) !important;
}

.active.active-black-bg {
    background-color: var(--black) !important;
}

.active.active-black-50-bg {
    background-color: var(--black-50) !important;
}

.active.active-black-brdr {
    border-color: var(--black) !important;
}

.active.active-black-50-brdr {
    border-color: var(--black-50) !important;
}

/*========================================< dark*/
.active.active-dark-c {
    color: var(--dark) !important;
}

.active.active-dark-50-c {
    color: var(--dark-50) !important;
}

.active.active-dark-bg {
    background-color: var(--dark) !important;
}

.active.active-dark-50-bg {
    background-color: var(--dark-50) !important;
}

.active.active-dark-brdr {
    border-color: var(--dark) !important;
}

.active.active-dark-50-brdr {
    border-color: var(--dark-50) !important;
}

/*========================================< success*/
.active.active-success-c {
    color: var(--success) !important;
}

.active.active-success-50-c {
    color: var(--success-50) !important;
}

.active.active-success-bg {
    background-color: var(--success) !important;
}

.active.active-success-50-bg {
    background-color: var(--success-50) !important;
}

.active.active-success-brdr {
    border-color: var(--success) !important;
}

.active.active-success-50-brdr {
    border-color: var(--success-50) !important;
}

/*========================================< alert*/
.active.active-alert-c {
    color: var(--alert) !important;
}

.active.active-alert-50-c {
    color: var(--alert-50) !important;
}

.active.active-alert-bg {
    background-color: var(--alert) !important;
}

.active.active-alert-50-bg {
    background-color: var(--alert-50) !important;
}

.active.active-alert-brdr {
    border-color: var(--alert) !important;
}

.active.active-alert-50-brdr {
    border-color: var(--alert-50) !important;
}

/*========================================< warning*/
.active.active-warning-c {
    color: var(--warning) !important;
}

.active.active-warning-50-c {
    color: var(--warning-50) !important;
}

.active.active-warning-bg {
    background-color: var(--warning) !important;
}

.active.active-warning-50-bg {
    background-color: var(--warning-50) !important;
}

.active.active-warning-brdr {
    border-color: var(--warning) !important;
}

.active.active-warning-50-brdr {
    border-color: var(--warning-50) !important;
}

/*========================================< error*/
.active.active-error-c {
    color: var(--error) !important;
}

.active.active-error-50-c {
    color: var(--error-50) !important;
}

.active.active-error-bg {
    background-color: var(--error) !important;
}

.active.active-error-50-bg {
    background-color: var(--error-50) !important;
}

.active.active-error-brdr {
    border-color: var(--error) !important;
}

.active.active-error-50-brdr {
    border-color: var(--error-50) !important;
}

/*========================================< link*/
.active.active-link-c {
    color: var(--link) !important;
}

.active.active-link-50-c {
    color: var(--link-50) !important;
}

.active.active-link-bg {
    background-color: var(--link) !important;
}

.active.active-link-50-bg {
    background-color: var(--link-50) !important;
}

.active.active-link-brdr {
    border-color: var(--link) !important;
}

.active.active-link-50-brdr {
    border-color: var(--link-50) !important;
}

/*=====================================================*/
/*hover*/
/*========================================< transparent*/
.hover-transparent-c:hover {
    color: transparent !important;
}

.hover-transparent-bg:hover {
    background-color: transparent !important;
}

.hover-transparent-brdr:hover {
    border-color: transparent !important;
}

/*========================================< primary*/
.hover-primary-c:hover {
    color: var(--primary) !important;
}

.hover-primary-50-c:hover {
    color: var(--primary-50) !important;
}

.hover-primary-bg:hover {
    background-color: var(--primary) !important;
}

.hover-primary-50-bg:hover {
    background-color: var(--primary-50) !important;
}

.hover-primary-brdr:hover {
    border-color: var(--primary) !important;
}

.hover-primary-50-brdr:hover {
    border-color: var(--primary-50) !important;
}

/*========================================< secondary*/
.hover-secondary-c:hover {
    color: var(--secondary) !important;
}

.hover-secondary-50-c:hover {
    color: var(--secondary-50) !important;
}

.hover-secondary-bg:hover {
    background-color: var(--secondary) !important;
}

.hover-secondary-50-bg:hover {
    background-color: var(--secondary-50) !important;
}

.hover-secondary-brdr:hover {
    border-color: var(--secondary) !important;
}

.hover-secondary-50-brdr:hover {
    border-color: var(--secondary-50) !important;
}

/*========================================< white*/
.hover-white-c:hover {
    color: var(--white) !important;
}

.hover-white-50-c:hover {
    color: var(--white-50) !important;
}

.hover-white-bg:hover {
    background-color: var(--white) !important;
}

.hover-white-50-bg:hover {
    background-color: var(--white-50) !important;
}

.hover-white-brdr:hover {
    border-color: var(--white) !important;
}

.hover-white-50-brdr:hover {
    border-color: var(--white-50) !important;
}

/*========================================< light*/
.hover-light-c:hover {
    color: var(--light) !important;
}

.hover-light-50-c:hover {
    color: var(--light-50) !important;
}

.hover-light-bg:hover {
    background-color: var(--light) !important;
}

.hover-light-50-bg:hover {
    background-color: var(--light-50) !important;
}

.hover-light-brdr:hover {
    border-color: var(--light) !important;
}

.hover-light-50-brdr:hover {
    border-color: var(--light-50) !important;
}

/*========================================< black*/
.hover-black-c:hover {
    color: var(--black) !important;
}

.hover-black-50-c:hover {
    color: var(--black-50) !important;
}

.hover-black-bg:hover {
    background-color: var(--black) !important;
}

.hover-black-50-bg:hover {
    background-color: var(--black-50) !important;
}

.hover-black-brdr:hover {
    border-color: var(--black) !important;
}

.hover-black-50-brdr:hover {
    border-color: var(--black-50) !important;
}

/*========================================< dark*/
.hover-dark-c:hover {
    color: var(--dark) !important;
}

.hover-dark-50-c:hover {
    color: var(--dark-50) !important;
}

.hover-dark-bg:hover {
    background-color: var(--dark) !important;
}

.hover-dark-50-bg:hover {
    background-color: var(--dark-50) !important;
}

.hover-dark-brdr:hover {
    border-color: var(--dark) !important;
}

.hover-dark-50-brdr:hover {
    border-color: var(--dark-50) !important;
}

/*========================================< success*/
.hover-success-c:hover {
    color: var(--success) !important;
}

.hover-success-50-c:hover {
    color: var(--success-50) !important;
}

.hover-success-bg:hover {
    background-color: var(--success) !important;
}

.hover-success-50-bg:hover {
    background-color: var(--success-50) !important;
}

.hover-success-brdr:hover {
    border-color: var(--success) !important;
}

.hover-success-50-brdr:hover {
    border-color: var(--success-50) !important;
}

/*========================================< alert*/
.hover-alert-c:hover {
    color: var(--alert) !important;
}

.hover-alert-50-c:hover {
    color: var(--alert-50) !important;
}

.hover-alert-bg:hover {
    background-color: var(--alert) !important;
}

.hover-alert-50-bg:hover {
    background-color: var(--alert-50) !important;
}

.hover-alert-brdr:hover {
    border-color: var(--alert) !important;
}

.hover-alert-50-brdr:hover {
    border-color: var(--alert-50) !important;
}

/*========================================< warning*/
.hover-warning-c:hover {
    color: var(--warning) !important;
}

.hover-warning-50-c:hover {
    color: var(--warning-50) !important;
}

.hover-warning-bg:hover {
    background-color: var(--warning) !important;
}

.hover-warning-50-bg:hover {
    background-color: var(--warning-50) !important;
}

.hover-warning-brdr:hover {
    border-color: var(--warning) !important;
}

.hover-warning-50-brdr:hover {
    border-color: var(--warning-50) !important;
}

/*========================================< error*/
.hover-error-c:hover {
    color: var(--error) !important;
}

.hover-error-50-c:hover {
    color: var(--error-50) !important;
}

.hover-error-bg:hover {
    background-color: var(--error) !important;
}

.hover-error-50-bg:hover {
    background-color: var(--error-50) !important;
}

.hover-error-brdr:hover {
    border-color: var(--error) !important;
}

.hover-error-50-brdr:hover {
    border-color: var(--error-50) !important;
}

/*========================================< link*/
.hover-link-c:hover {
    color: var(--link) !important;
}

.hover-link-50-c:hover {
    color: var(--link-50) !important;
}

.hover-link-bg:hover {
    background-color: var(--link) !important;
}

.hover-link-50-bg:hover {
    background-color: var(--link-50) !important;
}

.hover-link-75-bg:hover {
    background-color: var(--link-75) !important;
}

.hover-link-brdr:hover {
    border-color: var(--link) !important;
}

.hover-link-50-brdr:hover {
    border-color: var(--link-50) !important;
}

/*=====================================================*/
/*focus*/
/*========================================< transparent*/
.focus-transparent-c:focus {
    color: transparent !important;
}

.focus-transparent-bg:focus {
    background-color: transparent !important;
}

.focus-transparent-brdr:focus {
    border-color: transparent !important;
}

/*========================================< primary*/
.focus-primary-c:focus {
    color: var(--primary) !important;
}

.focus-primary-50-c:focus {
    color: var(--primary-50) !important;
}

.focus-primary-bg:focus {
    background-color: var(--primary) !important;
}

.focus-primary-50-bg:focus {
    background-color: var(--primary-50) !important;
}

.focus-primary-brdr:focus {
    border-color: var(--primary) !important;
}

.focus-primary-50-brdr:focus {
    border-color: var(--primary-50) !important;
}

/*========================================< secondary*/
.focus-secondary-c:focus {
    color: var(--secondary) !important;
}

.focus-secondary-50-c:focus {
    color: var(--secondary-50) !important;
}

.focus-secondary-bg:focus {
    background-color: var(--secondary) !important;
}

.focus-secondary-50-bg:focus {
    background-color: var(--secondary-50) !important;
}

.focus-secondary-brdr:focus {
    border-color: var(--secondary) !important;
}

.focus-secondary-50-brdr:focus {
    border-color: var(--secondary-50) !important;
}

/*========================================< white*/
.focus-white-c:focus {
    color: var(--white) !important;
}

.focus-white-50-c:focus {
    color: var(--white-50) !important;
}

.focus-white-bg:focus {
    background-color: var(--white) !important;
}

.focus-white-50-bg:focus {
    background-color: var(--white-50) !important;
}

.focus-white-brdr:focus {
    border-color: var(--white) !important;
}

.focus-white-50-brdr:focus {
    border-color: var(--white-50) !important;
}

/*========================================< light*/
.focus-light-c:focus {
    color: var(--light) !important;
}

.focus-light-50-c:focus {
    color: var(--light-50) !important;
}

.focus-light-bg:focus {
    background-color: var(--light) !important;
}

.focus-light-50-bg:focus {
    background-color: var(--light-50) !important;
}

.focus-light-brdr:focus {
    border-color: var(--light) !important;
}

.focus-light-50-brdr:focus {
    border-color: var(--light-50) !important;
}

/*========================================< black*/
.focus-black-c:focus {
    color: var(--black) !important;
}

.focus-black-50-c:focus {
    color: var(--black-50) !important;
}

.focus-black-bg:focus {
    background-color: var(--black) !important;
}

.focus-black-50-bg:focus {
    background-color: var(--black-50) !important;
}

.focus-black-brdr:focus {
    border-color: var(--black) !important;
}

.focus-black-50-brdr:focus {
    border-color: var(--black-50) !important;
}

/*========================================< dark*/
.focus-dark-c:focus {
    color: var(--dark) !important;
}

.focus-dark-50-c:focus {
    color: var(--dark-50) !important;
}

.focus-dark-bg:focus {
    background-color: var(--dark) !important;
}

.focus-dark-50-bg:focus {
    background-color: var(--dark-50) !important;
}

.focus-dark-brdr:focus {
    border-color: var(--dark) !important;
}

.focus-dark-50-brdr:focus {
    border-color: var(--dark-50) !important;
}

/*========================================< success*/
.focus-success-c:focus {
    color: var(--success) !important;
}

.focus-success-50-c:focus {
    color: var(--success-50) !important;
}

.focus-success-bg:focus {
    background-color: var(--success) !important;
}

.focus-success-50-bg:focus {
    background-color: var(--success-50) !important;
}

.focus-success-brdr:focus {
    border-color: var(--success) !important;
}

.focus-success-50-brdr:focus {
    border-color: var(--success-50) !important;
}

/*========================================< alert*/
.focus-alert-c:focus {
    color: var(--alert) !important;
}

.focus-alert-50-c:focus {
    color: var(--alert-50) !important;
}

.focus-alert-bg:focus {
    background-color: var(--alert) !important;
}

.focus-alert-50-bg:focus {
    background-color: var(--alert-50) !important;
}

.focus-alert-brdr:focus {
    border-color: var(--alert) !important;
}

.focus-alert-50-brdr:focus {
    border-color: var(--alert-50) !important;
}

/*========================================< warning*/
.focus-warning-c:focus {
    color: var(--warning) !important;
}

.focus-warning-50-c:focus {
    color: var(--warning-50) !important;
}

.focus-warning-bg:focus {
    background-color: var(--warning) !important;
}

.focus-warning-50-bg:focus {
    background-color: var(--warning-50) !important;
}

.focus-warning-brdr:focus {
    border-color: var(--warning) !important;
}

.focus-warning-50-brdr:focus {
    border-color: var(--warning-50) !important;
}

/*========================================< error*/
.focus-error-c:focus {
    color: var(--error) !important;
}

.focus-error-50-c:focus {
    color: var(--error-50) !important;
}

.focus-error-bg:focus {
    background-color: var(--error) !important;
}

.focus-error-50-bg:focus {
    background-color: var(--error-50) !important;
}

.focus-error-brdr:focus {
    border-color: var(--error) !important;
}

.focus-error-50-brdr:focus {
    border-color: var(--error-50) !important;
}

/*========================================< link*/
.focus-link-c:focus {
    color: var(--link) !important;
}

.focus-link-50-c:focus {
    color: var(--link-50) !important;
}

.focus-link-bg:focus {
    background-color: var(--link) !important;
}

.focus-link-50-bg:focus {
    background-color: var(--link-50) !important;
}

.focus-link-brdr:focus {
    border-color: var(--link) !important;
}

.focus-link-50-brdr:focus {
    border-color: var(--link-50) !important;
}

/*=====================================================*/

.fs-05 {
    font-size: calc(1rem * 0.5);
}

.fs-075 {
    font-size: calc(1rem* 0.75);
}

.fs-1 {
    font-size: 1rem;
}

.fs-2 {
    font-size: calc(1rem * 1.5);
}

.fs-3 {
    font-size: calc(1rem * 2);
}

.fs-4 {
    font-size: calc(1rem * 2.5);
}

.fs-5 {
    font-size: calc(1rem * 3);
}

.fs-6 {
    font-size: calc(1rem * 3.5);
}

.hide {
    /* used in js */
    display: none !important;
}

.animate {
    -webkit-transition: all 200ms linear !important;
    -moz-transition: all 250ms linear !important;
    -ms-transition: all 250ms linear !important;
    -o-transition: all 250ms linear !important;
    transition: all 250ms linear !important;
}

